Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class ResponseBytes

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ocsp.ResponseBytes

All Implemented Interfaces:
  DEREncodable

public class ResponseBytes
extends java.lang.Object
implements DEREncodable

Constructor Summary
`ResponseBytes(ASN1Sequence seq)`
`ResponseBytes(DERObjectIdentifier responseType, ASN1OctetString response)`

Method Summary
`DERObject` | `getDERObject()` ResponseBytes ::= SEQUENCE { responseType OBJECT IDENTIFIER, response OCTET STRING }
`static ResponseBytes` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static ResponseBytes` | `getInstance(java.lang.Object obj)`
`ASN1OctetString` | `getResponse()`
`DERObjectIdentifier` | `getResponseType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseBytes

    public ResponseBytes(DERObjectIdentifier responseType,
                         ASN1OctetString response)

### ResponseBytes

    public ResponseBytes(ASN1Sequence seq)

Method Detail

### getInstance

    public static ResponseBytes getInstance(ASN1TaggedObject obj,
                                            boolean explicit)

### getInstance

    public static ResponseBytes getInstance(java.lang.Object obj)

### getResponseType

    public DERObjectIdentifier getResponseType()

### getResponse

    public ASN1OctetString getResponse()

### getDERObject

    public DERObject getDERObject()

       ResponseBytes ::=       SEQUENCE {
           responseType   OBJECT IDENTIFIER,
           response       OCTET STRING }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD